import {DataParser} from "./DataParser";
import {HeroCfg} from "../cfg/parsers/HeroCfg";
import {UnitCfg} from "../cfg/parsers/UnitCfg";
import {BaseConst} from "../constants/BaseConst";


export function initData() {
    const rP = DataParser.regCommonParser.bind(DataParser);
    rP(BaseConst.HERO, HeroCfg);
    rP(BaseConst.UNIT, UnitCfg);
    DataParser.loadAll();

}

