import {Cfg} from "../../common/DataParser";

export class UnitCfg implements Cfg{
	name: "UnitCfg";

	public id: number;
	public unit_name: number;
	public unittypei_id: number;
	public hero_hp: number;
	public spell_power: number;
	public suck_blood: number;
	public defense: number;
	public race_id: number;
	public job_id: number;
	public powernum_typeid: number;
	public powernum: number;
	public num_signid: number;
	public edd_effid: number;
	public edd_effnum: number;
	public eddeffnum_signid: number;
	public base_skill1id: number;
	public base_skill2id: number;
	public base_skill3id: number;

	public decode(data: any) {
        this.id = data.id;
        this.unit_name = data.unit_name;
        this.unittypei_id = data.unittypei_id;
        this.hero_hp = data.hero_hp;
        this.spell_power = data.spell_power;
        this.suck_blood = data.suck_blood;
        this.defense = data.defense;
        this.race_id = data.race_id;
        this.job_id = data.job_id;
        this.powernum_typeid = data.powernum_typeid;
        this.powernum = data.powernum;
        this.num_signid = data.num_signid;
        this.edd_effid = data.edd_effid;
        this.edd_effnum = data.edd_effnum;
        this.eddeffnum_signid = data.eddeffnum_signid;
        this.base_skill1id = data.base_skill1id;
        this.base_skill2id = data.base_skill2id;
        this.base_skill3id = data.base_skill3id;
	};
	
	public isOK (uniqueID: number, param1: any, param2: any): boolean {
		if((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)){
			return this.id == uniqueID;
		}
		if(param2 == undefined || param2 == null){
			return this.id == uniqueID && this.id == param1;
		}
		return this.id == uniqueID && this.id == param1 && this.id == param2;
	};
};